Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.views.navigator
Class ResourcePatternFilter

    java.lang.Object
      org.eclipse.jface.viewers.ViewerFilter
          org.eclipse.ui.views.navigator.ResourcePatternFilter

public class ResourcePatternFilter
extends ViewerFilter

Filter used to determine whether resources are to be shown or not.

Since:
  2.0

Constructor Summary
`ResourcePatternFilter()` Creates a new resource pattern filter.

Method Summary
`String[]` | `getPatterns()` Gets the patterns for the receiver.
`boolean` | `select(Viewer viewer, Object parentElement, Object element)` Returns whether the given element makes it through this filter.
`void` | `setPatterns(String[] newPatterns)` Sets the patterns to filter out for the receiver.

Methods inherited from class org.eclipse.jface.viewers.ViewerFilter
`filter, isFilterProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourcePatternFilter

    public ResourcePatternFilter()

  Creates a new resource pattern filter.

Method Detail

### getPatterns

    public String[] getPatterns()

  Gets the patterns for the receiver. Returns the cached values if there are any - if not look it up.

### select

    public boolean select(Viewer viewer,
                          Object parentElement,
                          Object element)

  Description copied from class: `ViewerFilter`
  Returns whether the given element makes it through this filter.

  Specified by:
    `select` in class `ViewerFilter`
  Parameters:
    `viewer` - the viewer
    `parentElement` - the parent element
    `element` - the element
  Returns:
    `true` if element is included in the filtered set, and `false` if excluded

### setPatterns

    public void setPatterns(String[] newPatterns)

  Sets the patterns to filter out for the receiver.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.